Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.charts.utils
Class ChartUtil

    java.lang.Object
      com.atlassian.bamboo.charts.utils.ChartUtil

    public class ChartUtil

extends Object

Field Summary
`static Color` | `COLOR_BLUE_OUTLINE`
`static Color` | `COLOR_BLUE_PAINT`
`static Color` | `COLOR_CYAN_OUTLINE`
`static Color` | `COLOR_CYAN_PAINT`
`static Color` | `COLOR_GREEN_OUTLINE`
`static Color` | `COLOR_GREEN_PAINT`
`static Color` | `COLOR_ORANGE_PAINT`
`static Color` | `COLOR_PURPLE_OUTLINE`
`static Color` | `COLOR_PURPLE_PAINT`
`static Color` | `COLOR_RED_OUTLINE`
`static Color` | `COLOR_RED_PAINT`
`static Color` | `COLOR_YELLOW_OUTLINE`
`static Color` | `COLOR_YELLOW_PAINT`
`static int` | `PORTLET_IMAGE_HEIGHT`
`static int` | `PORTLET_IMAGE_WIDTH`
`static int` | `REPORT_IMAGE_HEIGHT`
`static int` | `REPORT_IMAGE_WIDTH`
`static Font` | `VERDANA_PLAIN_9`

Constructor Summary
`ChartUtil()`

Method Summary
`static JFreeChart` | `createCombinedXYPlotDateChart(XYPlot upperPlot, XYPlot lowerPlot, String chartTitle)`
`static JFreeChart` | `createCombinedXYPlotNumberChart(XYPlot upperPlot, XYPlot lowerPlot, String chartTitle, int lowerBound, int upperBound)`
`static JFreeChart` | `generateBarChart(CategoryDataset dataset, String chartTitle, String yLabel, String xLabel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORTLET_IMAGE_HEIGHT

    public static final int PORTLET_IMAGE_HEIGHT

See Also:
  Constant Field Values

### PORTLET_IMAGE_WIDTH

    public static final int PORTLET_IMAGE_WIDTH

See Also:
  Constant Field Values

### REPORT_IMAGE_HEIGHT

    public static final int REPORT_IMAGE_HEIGHT

See Also:
  Constant Field Values

### REPORT_IMAGE_WIDTH

    public static final int REPORT_IMAGE_WIDTH

See Also:
  Constant Field Values

### COLOR_RED_OUTLINE

    public static final Color COLOR_RED_OUTLINE

### COLOR_RED_PAINT

    public static final Color COLOR_RED_PAINT

### COLOR_BLUE_OUTLINE

    public static final Color COLOR_BLUE_OUTLINE

### COLOR_BLUE_PAINT

    public static final Color COLOR_BLUE_PAINT

### COLOR_GREEN_OUTLINE

    public static final Color COLOR_GREEN_OUTLINE

### COLOR_GREEN_PAINT

    public static final Color COLOR_GREEN_PAINT

### COLOR_YELLOW_OUTLINE

    public static final Color COLOR_YELLOW_OUTLINE

### COLOR_YELLOW_PAINT

    public static final Color COLOR_YELLOW_PAINT

### COLOR_PURPLE_OUTLINE

    public static final Color COLOR_PURPLE_OUTLINE

### COLOR_PURPLE_PAINT

    public static final Color COLOR_PURPLE_PAINT

### COLOR_CYAN_OUTLINE

    public static final Color COLOR_CYAN_OUTLINE

### COLOR_CYAN_PAINT

    public static final Color COLOR_CYAN_PAINT

### COLOR_ORANGE_PAINT

    public static final Color COLOR_ORANGE_PAINT

### VERDANA_PLAIN_9

    public static final Font VERDANA_PLAIN_9

Constructor Detail

### ChartUtil

    public ChartUtil()

Method Detail

### generateBarChart

    public static JFreeChart generateBarChart(CategoryDataset dataset,
                                              String chartTitle,
                                              String yLabel,
                                              String xLabel)

### createCombinedXYPlotNumberChart

    public static JFreeChart createCombinedXYPlotNumberChart(XYPlot upperPlot,
                                                             XYPlot lowerPlot,
                                                             String chartTitle,
                                                             int lowerBound,
                                                             int upperBound)

### createCombinedXYPlotDateChart

    public static JFreeChart createCombinedXYPlotDateChart(XYPlot upperPlot,
                                                           XYPlot lowerPlot,
                                                           String chartTitle)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.